import * as z from 'zod';
import { Prisma } from '../../../generated/prisma';
import Decimal from 'decimal.js';
import { PaymentCreateNestedOneWithoutCommissionBatchItemsInputObjectSchema as PaymentCreateNestedOneWithoutCommissionBatchItemsInputObjectSchema } from './PaymentCreateNestedOneWithoutCommissionBatchItemsInput.schema'

import { DecimalJSLikeSchema, isValidDecimalInput } from '../../helpers/decimal-helpers';
const makeSchema = () => z.object({
  collectionAmount: z.union([
  z.number(),
  z.string(),
  z.instanceof(Decimal),
  z.instanceof(Prisma.Decimal),
  DecimalJSLikeSchema,
]).refine((v) => isValidDecimalInput(v), {
  message: "Field 'collectionAmount' must be a Decimal",
}),
  payment: z.lazy(() => PaymentCreateNestedOneWithoutCommissionBatchItemsInputObjectSchema)
}).strict();
export const CommissionBatchItemCreateWithoutCommissionBatchInputObjectSchema: z.ZodType<Prisma.CommissionBatchItemCreateWithoutCommissionBatchInput> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemCreateWithoutCommissionBatchInput>;
export const CommissionBatchItemCreateWithoutCommissionBatchInputObjectZodSchema = makeSchema();
